import React, { Fragment } from 'react';

const FormInput = ({ title, type, placeholder, value, handleChange }) => {
  return (
    <Fragment>
      <label
        className='block uppercase tracking-wide 
        text-gray-700 text-xs font-bold mb-2'
        htmlFor={`form-${title}`}
      >
        {title}
      </label>
      <input
        className='w-full h-12 focus:outline-none p-2'
        id={`form-${title}`}
        type={type}
        placeholder={placeholder}
        onChange={handleChange}
        value={value}
        // required
      />
    </Fragment>
  );
};

export default FormInput;
