import React from "react";
import Popper from "popper.js";

const Dropdown = ({ color }) => {
  // dropdown props
  const [dropdownPopoverShow, setDropdownPopoverShow] = React.useState(false);
  const btnDropdownRef = React.createRef();
  const popoverDropdownRef = React.createRef();
  const openDropdownPopover = () => {
    new Popper(btnDropdownRef.current, popoverDropdownRef.current, {
      placement: "bottom-start"
    });
    setDropdownPopoverShow(true);
  };
  const closeDropdownPopover = () => {
    setDropdownPopoverShow(false);
  };
  // bg colors
  let bgColor;
  color === "black"
    ? (bgColor = "bg-white")
    : (bgColor = "bg-" + color + "-500");
  return (
    <>
      <div className="w-full">
        <div className="w-full">
          <div className="">
            <button className={ "w-full font-bold uppercase text-sm px-2 py-0 bg-white-500 " + bgColor }
              style={{ transition: "all .15s ease" }} type="button" ref={btnDropdownRef}
              onClick={() => {
                dropdownPopoverShow
                  ? closeDropdownPopover()
                  : openDropdownPopover();
              }}
            >
              All
            </button>
            <div ref={popoverDropdownRef} className={(dropdownPopoverShow ? "block " : "hidden ")
              + (color === "white" ? "bg-white " : bgColor + " ")
              + "text-base z-50 float-left py-2 list-none text-left rounded shadow-lg mt-1"}
              style={{ minWidth: "12rem" }}
            >
              <a href="#pablo" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")} onClick={e => e.preventDefault()} >
                Accountant
              </a>
              <a href="#pablo" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")} onClick={e => e.preventDefault()} >
                Alarms/Security
              </a>
              <a href="#pablo" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")} onClick={e => e.preventDefault()} >
                Automotive Services
              </a>
              <div className="h-0 my-2 border border-solid border-t-0 border-gray-900 opacity-25" />
              <a href="#pablo" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")} onClick={e => e.preventDefault()} >
                Architect
              </a>
              <a href="" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")}>
                Banker
              </a>
              <a href="" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")}>
                Bookkeeper
              </a>
              <a href="" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")}>
                Builder/Building Services
              </a>
              <a href="" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")}>
                Event Organiser</a>
              <a href="" className={"text-sm py-2 px-4 font-normal block w-full whitespace-no-wrap bg-transparent "
                + (color === "white" ? " text-gray-800" : "text-white")}>
                Dentist
              </a>
            </div>
          </div>
        </div>
      </div>
    </>
  );
};

export default function DropdownRender() {
  return (
    <>
      <Dropdown color="white" />
    </>
  );
}