import React from 'react'
import { toast } from 'react-toastify';
import { Link, useHistory, withRouter } from 'react-router-dom';

import { connect, useDispatch, useSelector } from 'react-redux';
import { logout } from '../../data/reducers/auth';
import "./header.css"
import Button from '../buttons/button.component';
function NavUser({ logout, isAuth, user }) {
    const { user: currentUser } = useSelector((state) => state.auth);
    const dispatch = useDispatch();
    let history = useHistory();
    // const { username } = user;
    function clickMall() {
        history.push("./mall");
    }
    // make active nav item with text primary
    const isActive = (history, path) => {
        if (history.location.pathname === path) {
        return 'text-primary';
        } else {
        return '';
        }
    };
    
    
    return (
        <>
        <ul className="w-100 flex inline-block text-sm mr-3">
            <li className="hoverable x-after">
            <a href="#">
                <img src="https://cmetrika.space/payungg/backend/assets/img/mukhlis.png" className="p-1 rounded rounded-full w-6 inline-block" />
                
                <small>{sessionStorage.username}</small>
                {isAuth && (
                    <Button
                    title='Signout'
                    moreStyle='text-xs text-white'
                    action={ () => {
                        logout();
                    }}
                    ></Button>
                )}
                <div>
                {!isAuth && (
                    <>
                    <Button
                        title='Login'
                        moreStyle='text-sm text-white'
                        isButton={false}
                        href='/login'
                    />
                    <Button
                        title='Register'
                        // moreStyle='hover:text-green-500 rounded rounded-full border-2 border-white uppercase text-xs px-3 py-1 text-white'
                        isButton={false}
                        href='/register'
                    />
                    </>
                )}
                </div>
                
                {/* <svg className="w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor"> <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 12h.01M12 12h.01M19 12h.01M6 12a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0z" /> </svg> */}
            </a>
                <div className="w-min mega-menu ">
                    <ul className="w-11/12 bg-white text-black mx-8 rounded-t-lg">
                        <li onClick={clickMall}>
                            <div className="flex relative cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Account</span>
                                </div>
                            </div>
                            {/* My Account */}
                        </li>
                        
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Purchase</span>
                                </div>
                            </div>
                            
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Ecosystem</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="">
                            <a href="#" className="inline-block mr-1 rounded rounded-full border-2 border-white uppercase text-xs px-3 py-1 bg-red-600 text-white">PRESET BUY</a><br />
                            <a href="#" className="inline-block mr-1 rounded rounded-full border-2 border-white uppercase text-xs px-3 py-1 bg-red-600 text-white">MY ECOSYSTEM</a><br />
                            {/* <a href="#" className="inline-block mr-1 rounded rounded-full border-2 border-white uppercase text-xs px-3 py-1 bg-red-600 text-white">Logout</a> */}
                            </div>  
                        </li>
                        
                    </ul>
                    <ul className="w-11/12 bg-gray-700 text-white mx-8">
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My POS</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Logistic</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Bookkeeping</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Inventory</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Cust. Relation</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My HR</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Agent</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My Marketing</span>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div className="flex relative hover:bg-gray-200 cursor-pointer hover:text-black px-5">
                                <div className="mr-1 my-auto text-xs">
                                    <svg svg className="fill-current h-5 w-3" focusable="false" viewBox="0 0 24 24" aria-hidden="true"><path d="M19 13H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 3H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"></path></svg>
                                </div>
                                <div className="flex-auto my-1 text-xs hover:text-black">
                                    <span>My E-Wallet</span>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </li>
        </ul>   
        </>
    )
}
const mapStateToProps = (state) => ({
  isAuth: state.auth.isAuthenticated,
})

// export default NavUser
export default connect(mapStateToProps, { logout })(withRouter(NavUser));
