import React, { useState } from 'react';
import { Link, useHistory } from 'react-router-dom';
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import {faFacebookF, faGoogle, faTwitter} from "@fortawesome/free-brands-svg-icons";
import Container from '../container/container.component';
import Banner from '../banner/Banner';
import NavbarList from './navbar.list';
import NavbarToggle from './navbar.toggle';
import navbarSearch from './navbarSearch';
import "./header.css";
import DropdownRender from './DropdownRender';
import Home from '../../screens/Home.jsx'
import Popup from '../popup/Popup';
import NavUser from './NavUser';
import Notify from '../notify/Notify';
const Navbar = ({ color }) => {

  let history = useHistory();
  function clickHome() {
    history.push("./");
  }
  
  // implent toggle state
  const [active, setActive] = useState(false);
  // toggle Controller
  const menuState = () => {
    setActive(!active);
  };
  return (
  <>
      
      {/* <> React Fragment */}
      
      <Popup />
      <nav className="headerbg relative z-10">
        <div className="max-w-full min-h-full mx-auto px-2 sm:px-6 lg:px-10 relative z-index2 lg:top-9">
          <div className="relative flex items-center justify-between py-2 inset-y-3">
            <div className="absolute inset-y-0 left-0 flex items-center ">
              {/* Mobile menu button*/}
              <button
                className="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-white hover:bg-gray-700 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-white ring-2 ring-white"
                aria-expanded="true"
              >
                <span className="sr-only">Open main menu</span>
                {/* Icon when menu is closed. */}
                {/*Heroicon name: menu Menu open: "hidden", Menu closed: "block"*/}
                <svg className="block h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true" > <path stroke-width="2" d="M4 6h16M4 12h16M4 18h16" /> </svg>
                {/* Icon when menu is open. */}
                {/* Heroicon name: x Menu open: "block", Menu closed: "hidden" */}
                <svg className="hidden h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true" > <path stroke-width="2" d="M6 18L18 6M6 6l12 12" /> </svg>
              </button>
            </div>
            

            <div className="flex-1 flex items-center justify-center sm:items-stretch sm:justify-start marginleft ">
              <div className="flex-shrink-0 flex items-center">
                <img onClick={clickHome} className="block h-8 w-auto" src="https://cmetrika.space/payungg/backend/assets/img/logo.png" alt="Workflow" />
              </div>
              <div className="hidden sm:block sm:ml-6 w-full md:justify-between">
                <div className="wrapper relative z-index1 ">
                  {/*  */}
                  <div className="flex float-left">
                    <a href="/#" className="text-xs text-white px-3 py-2 rounded-md font-medium" > HOT ITEM </a>
                    <a href="/#" className="text-xs text-gray-300  px-3 py-2 rounded-md font-medium" > PROMOTION </a>
                    <a href="/#" className="text-xs text-gray-300  px-3 py-2 rounded-md font-medium" > DOWNLOAD </a>
                    <a href="/#" className="text-xs text-gray-300  px-3 py-2 rounded-md font-medium" > FOLLOW US </a>
                    <a href="/#" className="text-xs text-gray-300 hover:text-white px-3 py-2" >
                    <FontAwesomeIcon icon={faFacebookF}></FontAwesomeIcon>
                    </a>
                    <a href="/#" className="text-xs text-gray-300 hover:text-white px-3 py-2" >
                      <FontAwesomeIcon icon={faTwitter}/>
                    </a>
                  </div>

                  <div className="sm:hidden md:inline-flex flex float-right relative">
                    {/* Start Navbar/Notify */}
                    <Notify />
                    
                    {/* Start Navbar/NavUser */}
                    <div className="">
                      <div className="flex justify-center">
                        <div className="relative ">
                          <div className="flex flex-row cursor-pointer truncate px-4 rounded">
                            <div className="text-white">
                              <NavUser />
                            </div>
                            
                          </div>
                          {/* <div className="hidden absolute w-full  rounded-b border-t-0 z-10">
                            <div className="shadow-xl w-64">
                              <div className="p-2 flex bg-white hover:bg-gray-100 cursor-pointer border-b border-gray-100">
                                <div className="p-2 w-12">
                                  <img src="https://dummyimage.com/50x50/bababa/0011ff&amp;text=50x50" alt="img product" />
                                </div>
                                <div className="flex-auto text-sm w-32">
                                  <div className="font-bold">Product 1</div>
                                  <div className="truncate">
                                    Product 1 description
                                  </div>
                                  <div className="text-gray-400">Qt: 2</div>
                                </div>
                                <div className="flex flex-col w-18 font-medium items-end">
                                  <div className="w-4 h-4 mb-6 hover:bg-red-200 rounded-full cursor-pointer text-red-700">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" className="feather feather-trash-2 " > <polyline points="3 6 5 6 21 6"></polyline> <path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path> <line x1="10" y1="11" x2="10" y2="17" ></line> <line x1="14" y1="11" x2="14" y2="17" ></line> </svg>
                                  </div>
                                  $12.22
                                </div>
                              </div>
                              <div className="p-2 flex bg-white hover:bg-gray-100 cursor-pointer border-b border-gray-100">
                                <div className="p-2 w-12">
                                  <img src="https://dummyimage.com/50x50/bababa/0011ff&amp;text=50x50" alt="img product" />
                                </div>
                                <div className="flex-auto text-sm w-32">
                                  <div className="font-bold">Product 2</div>
                                  <div className="truncate">
                                    Product 2 long description
                                  </div>
                                  <div className="text-gray-400">Qt: 2</div>
                                </div>
                                <div className="flex flex-col w-18 font-medium items-end">
                                  <div className="w-4 h-4 mb-6 hover:bg-red-200 rounded-full cursor-pointer text-red-700">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" className="feather feather-trash-2 " > <polyline points="3 6 5 6 21 6"></polyline> <path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path> <line x1="10" y1="11" x2="10" y2="17" ></line> <line x1="14" y1="11" x2="14" y2="17" ></line> </svg>
                                  </div>
                                  $12.22
                                </div>
                              </div>
                              <div className="p-2 flex bg-white hover:bg-gray-100 cursor-pointer border-b border-gray-100">
                                <div className="p-2 w-12">
                                  <img src="https://dummyimage.com/50x50/bababa/0011ff&amp;text=50x50" alt="img product" />
                                </div>
                                <div className="flex-auto text-sm w-32">
                                  <div className="font-bold">Product 3</div>
                                  <div className="truncate">
                                    Product 3 description
                                  </div>
                                  <div className="text-gray-400">Qt: 2</div>
                                </div>
                                <div className="flex flex-col w-18 font-medium items-end">
                                  <div className="w-4 h-4 mb-6 hover:bg-red-200 rounded-full cursor-pointer text-red-700">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" className="feather feather-trash-2 " > <polyline points="3 6 5 6 21 6"></polyline> <path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path> <line x1="10" y1="11" x2="10" y2="17" ></line> <line x1="14" y1="11" x2="14" y2="17" ></line> </svg>
                                  </div>
                                  $12.22
                                </div>
                              </div>
                              <div className="p-4 justify-center flex">
                                <button className="text-base  undefined  hover:scale-110 focus:outline-none flex justify-center px-4 py-2 rounded font-bold cursor-pointer hover:bg-teal-700 hover:text-teal-100 bg-teal-100 text-teal-700 border duration-200 ease-in-out border-teal-600 transition" >
                                  Checkout $36.66
                                </button>
                              </div>
                            </div>
                          </div> */}
                        </div>
                      </div>
                      
                    </div>
                  </div>
                  {/*  */}
                  <div className="search_box">
                      <div className="dropdown">
                        {/* <div className="default_option">All</div> */}
                        <DropdownRender />
                      </div>
                      <div className="flex search_field justify-between">
                        <input type="text" className="input" placeholder="Search" />
                        {/* <i className="fas fa-search"></i> */}
                        <button className="flex justify-start right-0 px-4 border-l absolute top-0.5">
                          <svg className="h-4 w-4 text-grey-dark" fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" > <path d="M16.32 14.9l5.39 5.4a1 1 0 0 1-1.42 1.4l-5.38-5.38a8 8 0 1 1 1.41-1.41zM10 16a6 6 0 1 0 0-12 6 6 0 0 0 0 12z"></path> </svg>
                        </button>
                      </div>
                    </div>
                    {/* <navbarSearch /> */}
                  <NavbarList />
                </div>
              </div>
            </div>
            <div className="relative right-0 flex items-center pr-2 sm:static sm:inset-auto sm:ml-6 sm:pr-0">
              <div className="relative">
                <span className="absolute text-xs rounded-full -mt-1 -mr-2 px-1 font-bold top-1 right-0 bg-white text-red-600">30</span>
                <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" className="w-6 h-6 mt-2 text-white" > <circle cx="9" cy="21" r="1"></circle> <circle cx="20" cy="21" r="1"></circle> <path d="M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"></path> </svg>
              </div>
              {/* Profile dropdown */}
              <div className="ml-3 relative">
                {/* Profile dropdown panel, show/hide based on dropdown state.
                Entering: "transition ease-out duration-100"
                From: "transform opacity-0 scale-95"
                To: "transform opacity-100 scale-100"
                Leaving: "transition ease-in duration-75"
                From: "transform opacity-100 scale-100"
                To: "transform opacity-0 scale-95"
                */}
                {/* <div
                  className="origin-top-right absolute right-0 mt-2 w-48 rounded-md shadow-lg py-1 bg-white ring-1 ring-black ring-opacity-5"
                  role="menu"
                  aria-orientation="vertical"
                  aria-labelledby="user-menu"
                >
                  <a
                    href="#"
                    className="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100"
                    role="menuitem"
                  >
                    Your Profile
                  </a>
                  <a
                    href="#"
                    className="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100"
                    role="menuitem"
                  >
                    Settings
                  </a>
                  <a
                    href="#"
                    className="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100"
                    role="menuitem"
                  >
                    Sign out
                  </a>
                </div> */}
              </div>
            </div>
          </div>
        </div>
        {/* hidden sm:hidden lg:block */}
        

        {/* Mobile menu, toggle classNamees based on menu state.
        Menu open: "block", Menu closed: "hidden"
        */}
        <div className="hidden sm:hidden">
          <div className="px-2 pt-2 pb-3 space-y-1">
            {/* Current: "bg-gray-900 text-white", Default: "text-gray-300 " */}
            <a href="#" className="bg-gray-900 text-white block px-3 py-2 rounded-md text-base font-medium" > Dashboard </a>
            <a href="#" className="text-gray-300 hover:bg-gray-700 hover:text-white block px-3 py-2 rounded-md text-base font-medium" > Team </a>
            <a href="#" className="text-gray-300 hover:bg-gray-700 hover:text-white block px-3 py-2 rounded-md text-base font-medium" > Projects </a>
            <a href="#" className="text-gray-300 hover:bg-gray-700 hover:text-white block px-3 py-2 rounded-md text-base font-medium" > Calendar </a>
          </div>
        </div>
        
        
        
      </nav>
      <img src="assets/img/header.svg" alt="Home" className="headersvg"/>

      
      
      </>   
  );
};

export default Navbar;
