// Cart
export const ADD_TO_CART = 'ADD_TO_CART';
export const REMOVE_FROM_CART = 'REMOVE_FROM_CART';
export const ADD_QUANTITY = 'ADD_QUANTITY';
export const SUB_QUANTITY = 'SUB_QUANTITY';
export const EMPTY_CART = 'EMPTY_CART';

export const addToCart = id => {
    return { type: ADD_TO_CART, id };
};
export const removeFromCart = id => {
    return { type: REMOVE_FROM_CART, id, };
};
export const subtractQuantity = id => {
    return { type: SUB_QUANTITY, id, };
};
export const addQuantity = id => {
    return { type: ADD_QUANTITY, id, };
};
export const emptyCart = () => {
    return { type: EMPTY_CART, };
};
  
const initialState = {
    products: [
      {
      id: 1,
      title: "This is the COOLEST Cube Ever",
      description:
        "This cube will keep you busy the entire day and it is very fun to play with",
      price: 15.0,
      image:
        "https://images.unsplash.com/photo-1591991731833-b4807cf7ef94?ixlib=rb-1.2.1&auto=format&fit=crop&w=1350&q=80",
      },
      {
        id: 2,
        title: "Large Coffee Cup",
        description:
          "Get a big cup of coffee every morning before the day starts",
        price: 20.0,
        image:
          "https://images.unsplash.com/photo-1572119865084-43c285814d63?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80",
      },
      {
        id: 3,
        title: "Books That CHANGED My Life",
        description:
          "These books will keep you busy all throughout the entire lockdown and give you some great advise from famous people",
        price: 150.0,
        image:
          "https://images.unsplash.com/photo-1512820790803-83ca734da794?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1374&q=80",
      },
    ],
};
const ShoppinReducer = (state = initialState, action) => {
    switch (action.type) {
      case ADD_TO_CART:
        return {...state, products: state.products.map(
            product => product.id === action.id ? {...product, selected: true} : product,
          ),
        };
      case REMOVE_FROM_CART:
        return {...state, products: state.products.map(
            product => product.id === action.id ? {...product, selected: false, quantity: 1} : product,
          ),
        };
      case ADD_QUANTITY:
        return {...state, products: state.products.map(
            product => product.id === action.id ? {...product, quantity: product.quantity + 1} : product,
          ),
        };
      case SUB_QUANTITY:
        return {...state, products: state.products.map(
            product => product.id === action.id ? { ...product, quantity: product.quantity !== 1 ? product.quantity - 1 : 1, } : product,
          ),
        };
      case EMPTY_CART:
        return {...state, products: state.products.map(
            product => product.selected ? {...product, selected: false, quantity: 1} : product,
          ),
        };
      default:
        return state;
    }
  };
export {ShoppinReducer};