import React from 'react';
import { Route, Switch, HashRouter } from 'react-router-dom';
import { ToastContainer } from 'react-toastify';
import Navbar from './components/navbar/navbar.component';
import Home from './screens/Home';
import Register from './screens/register/Register';
import Login from './screens/login/Login';
import ProductDetails from './screens/product/ProductDetails';
import ProductEcoSystem from './screens/product/ProductEcoSystem';
import ProductPromo from './screens/product/ProductPromo';
import ProductTrending from './screens/product/ProductTrending';
import ServicesList from './screens/services/ServicesList';
import FreelanceBid from './screens/services/FreelanceBid';
import Footers from './components/footer/Footers';
import Banner from './components/banner/Banner';
import CartPage from './screens/product/CartPage';

// components
import Badge from './components/badge/Badge';
// import NavHover from './components/navbar/NavHover';
import Wizard from './components/wizard/Wizard';
import FormLayout from './components/form/FormLayout';
import Pagination from './components/pagination/Pagination';
import Mall from './screens/mall/Mall';
import SideRfilter from './SideRfilter';
import EcoDndSearch from './screens/EcoDndSearch';
import Forgotpass from './screens/login/Forgotpass';
import Products from './screens/product/Products';



const Routes = () => {
	return (
		<HashRouter>
			{/* <ToastContainer /> */}
			<Switch>
				<Route exact path="/" component={Home}>
					<SideRfilter />
					<Navbar />
					<Banner />
					{/* <EcoDndSearch /> */}
					{/* <Badge /> */}
					{/* <Products /> */}
					<ProductEcoSystem />
					{/* <ProductPromo />
					<ProductTrending />
					<ServicesList />
					<FreelanceBid /> */}
					<Footers />
				</Route>
				<Route exact path="/register" component={Register} />
				<Route exact path="/login" component={Login} />
				<Route exact path="/forgotpass" component={Forgotpass} />
				<Route exact path="/Cart" component={CartPage} />
				<Route exact path="/Mall" component={Mall} />
				<Route exact path="/productdetails" component={ProductDetails} />

				{/* components */}
				<Route exact path="/badge" component={Badge} />
				<Route exact path="/Wizard" component={Wizard} />
				<Route exact path="/FormLayout" component={FormLayout} />
				<Route exact path="/Pagination" component={Pagination} />
				{/* <NavHover /> */}
			</Switch>
		</HashRouter>
	);
};

export default Routes;
