import React, { useEffect } from 'react';
import { toast, ToastContainer } from 'react-toastify';
import { connect, useDispatch, useSelector } from 'react-redux';
import { Redirect, useHistory } from 'react-router';
import Navbar from '../../components/navbar/navbar.component';
import './Mall.css';

import { logout } from '../../data/reducers/auth';
function Mall({ login, isAuth, isLoading, user }) {
	const { user: currentUser } = useSelector((state) => state.auth);
	// const dispatch = useDispatch();
	// useEffect(() => {
	// 	history.listen((location) => {
	// 	dispatch(clearMessage()); // clear message when changing location
	// 	});
	// }, [dispatch]);

	// if (!currentUser) {
	// 	history.push('/login');
	// }
	// const logOut = () => {
	// 	dispatch(logout());
	// };
	const history = useHistory();
	if (isAuth && user) {
		const { username } = user;
		toast.success(`welcome ${username}`);
    }
    
	return (
		<div className="md:h-1/3" style={{ backgroundImage : `url("https://wallpapercave.com/wp/wp3252152.jpg")`, height: '35rem' }}>
			<ToastContainer />
			<Navbar />
			<div className="custom-radius flex justify-between sm:justify-center md:w-5/6 bg-white relative margin-0-auto md:top-60 shadow-lg" style={{ margin: '7rem auto' }}>
				<div className="flex justify-between md:w-1/2 px-3 py-3 md:border-r">
					<div className="flex-shrink-0 flex items-center margin-0-auto">
						<img src="https://cmetrika.space/payungg/backend/assets/img/mukhlis.png" className="rounded rounded-full border border-red-700 w-21 inline-block" alt="" />
					</div>
					<div className="flex justify-between">
						<div className="px-4 py-2 font-bold">
							<small className="px-1 bg-black text-xs text-white rounded-md"> 1 yr </small>
							<br /> {sessionStorage.username} <br />
							<small className="font-thin"> Active 17 Minute Ago </small>
							<div className="flex md:w-3/5 space-x-4">
								<button type="button" className="text-xs h-10 px-4 py-2 font-semibold rounded-md border border-gray-900 text-gray-900 whitespace-nowrap flex items-center"> <svg className="w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor"> {' '} <path d="M2 5a2 2 0 012-2h7a2 2 0 012 2v4a2 2 0 01-2 2H9l-3 3v-3H4a2 2 0 01-2-2V5z" />{' '} <path d="M15 7v2a4 4 0 01-4 4H9.828l-1.766 1.767c.28.149.599.233.938.233h2l3 3v-3h2a2 2 0 002-2V9a2 2 0 00-2-2h-1z" />{' '} </svg> Chat Now </button>
								<button onClick={Mall} type="button" className="text-xs h-10 px-4 py-2 font-semibold rounded-md border border-gray-900 text-gray-900 whitespace-nowrap flex items-center">
									<svg className="w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor"> <path d="M4 3a2 2 0 100 4h12a2 2 0 100-4H4z" />{' '} <path fill-rule="evenodd" d="M3 8h14v7a2 2 0 01-2 2H5a2 2 0 01-2-2V8zm5 3a1 1 0 011-1h2a1 1 0 110 2H9a1 1 0 01-1-1z" clip-rule="evenodd" /> </svg>
									View Shop
								</button>
							</div>
						</div>
					</div>
				</div>

				<div className="lg:grid lg:justify-items-center lg:w-4/5 hidden sm:hidden lg:inline flex items-center py-2">
					<div className="flex justify-between w-full px-3">
						<div className="flex items-center">
							<div className="flex items-center">
								<svg className="w-4 h-4 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"> <path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z" /> </svg>
								<svg className="w-4 h-4 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"> <path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z" /> </svg>
								<svg className="w-4 h-4 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"> <path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z" /> </svg>
								<svg className="w-4 h-4 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"> <path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z" /> </svg>
								<svg className="w-4 h-4 fill-current text-red-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"> <path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z" /> </svg>
								<span className="text-sm text-red-600"> 4.9 (196) </span>
							</div>
						</div>
						<small>View shop’s feedback &gt; </small>
					</div>
					<div className="w-full px-3">
						<div className="flex justify-between ">
							<div class="flex justify-between md:w-36">
								<div>Follower</div>
								<small className="text-red-600">2308</small>
							</div>
							<div class="flex justify-between md:w-60">
								<div>Unfulfillment rate </div>
								<small className="text-red-600">0.00%</small>
							</div>
						</div>
					</div>
					<div className="w-full px-3">
						<div className="flex justify-between ">
							<div class="flex justify-between md:w-36">
								<div>Following</div>
								<small className="text-red-600">152</small>
							</div>
							<div class="flex justify-between md:w-60">
								<div>Response Rate</div>
								<small className="text-red-600">99%</small>
							</div>
						</div>
					</div>
					<div className="w-full px-3">
						<div className="flex justify-between ">
							<div class="flex justify-between md:w-36">
								<div>Products:</div>
								<small className="text-red-600">2</small>
							</div>
							<div class="flex justify-between md:w-60">
								<div>Joined:</div>
								<small className="text-red-600">
									13 Months Ago
								</small>
							</div>
						</div>
					</div>
					<div className="w-full px-3">
						<div className="flex justify-between ">
							<div class="flex justify-between md:w-36">
								<div>Services:</div>
								<small className="text-red-600">15</small>
							</div>
							<div class="flex justify-between md:w-60">
								<div>Shop:</div>
								<small className="text-red-600">
									Shah Alam, Bangi, Ampa..
								</small>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div className="md:w-5/6 px-3 flex bg-white relative margin-0-auto md:top-44 shadow-lg">
				<ul className="flex text-red-700 margin-0-auto">
					<li className="px-2 py-2 md:py-3 md:px-12 border-b-2 border-red-700 font-semibold">
						Home
					</li>
					<li className="px-2 py-2 md:py-3 md:px-12 font-semibold">
						Products
					</li>
					<li className="px-2 py-2 md:py-3 md:px-12 font-semibold">
						Services
					</li>
					<li className="px-2 py-2 md:py-3 md:px-12 font-semibold">
						Clearance
					</li>
					<li className="px-2 py-2 md:py-3 md:px-12 font-semibold">
						Company Profile
					</li>
				</ul>
			</div>
		</div>
	);
}

// export default Mall;
const mapToStateProps = (state) => ({
  isAuth: state.auth.isAuthenticated,
  isLoading: state.auth.loading,
  user: state.auth.user,
});
export default connect(mapToStateProps)(Mall);

