import React from 'react'
// import Footers from '../../components/footer/Footers'
import Navbar from '../../components/navbar/navbar.component'

function CartPage() {
    return (
        <>
        <Navbar />
        <div className="lg:w-4/5 relative margin-0-auto md:top-32">
            <div className="flex justify-between">
                <div className="md:w-9/12 bg-white shadow-sm rounded-lg m-3 border-t-4 border-red-600">
                    <div className="flex justify-between px-6 py-3 border-b">
                        <h1 className="font-semibold text-lg">Shopping Cart</h1>
                        <h2 className="font-semibold text-lg">2 Items</h2>
                    </div>
                    <div className="flex items-start m-5">
                        <div className="flex items-center h-5">
                            <input id="comments" name="comments" type="checkbox" className="focus:ring-indigo-500 h-4 w-4 text-indigo-600 border-gray-300 rounded" />
                        </div>
                        <div className="ml-3 text-sm">
                            <label for="comments" className="font-medium text-gray-700">Select All</label>
                            {/* <p className="text-gray-500">Get notified when someones posts a comment on a posting.</p> */}
                        </div>
                    </div>
                    <div className="flex items-start h-5 main-cost-price m-5">
                        <div className="flex items-center h-5">
                            <img className="h-4" src="http://ae01.alicdn.com/kf/H360058adc16e44848f39a15e13126760H.png" alt=""/>
                            <small className="flex mx-1">Sale ends in Mar 12, 11:59 PM PT</small>
                        </div>
                    </div>
                </div>
                
                <div className="md:fixed md:right-28">
                    {/* Start Order Summary */}
                    <div id="summary" className="px-10 py-10 bg-white shadow-sm rounded-lg m-3 shadow-lg border-t-4 border-red-600">
                        <h1 className="font-semibold text-lg border-b pb-2">Order Summary</h1>
                        <div className="border-b pb-5">
                            <div className="flex justify-between">
                                <small className="text-xs">Subtotal</small>
                                <small className="text-xs font-medium">RM340.10</small>
                            </div>
                            <div className="flex justify-between">
                                <small className="text-xs">Shipping</small>
                                <small className="text-xs font-medium">RM10.00</small>
                            </div>
                        </div>
                        <div className="flex justify-between">
                            <small className="text-xs font-bold">Total</small>
                            <small className="text-xs font-bold">RM350.10</small>
                        </div>
                    </div>
                    {/* End Order Summary */}
                </div>
            </div>
            {/* product Added */}
            <div className="flex flex-col m-3 md:w-3/4">
                <div className="border-b pb-2 my-2">
                    <div className="flex justify-between my-2">
                        <div className="flex items-start">
                            <div className="flex items-center h-5">
                                <input id="comments" name="comments" type="checkbox" className="focus:ring-indigo-500 h-4 w-4 text-indigo-600 border-gray-300 rounded" />
                            </div>
                            <div className="ml-3 text-sm">
                                <label for="comments" className="font-medium text-gray-700">Trend man Store</label>
                            </div>
                        </div>
                        {/* <p className="flex items-start text-gray-500">
                        <svg className="w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor"> <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1" d="M3 8l7.89 5.26a2 2 0 002.22 0L21 8M5 19h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z" /> </svg>
                        Contact</p> */}
                        <div>
                        {/* Remove Product */}
                        <svg className="w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor"> <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16" /> </svg>
                        </div>
                    </div>
                    <div className="flex justify-between px-10 py-10 bg-white shadow-sm rounded-lg">
                        
                        <div className="w-20">
                            <img src="https://ae01.alicdn.com/kf/He5d13234b50b476aa972ae3eb8c1e3a1B.jpg" alt="" />
                        </div>
                        <div className="flex flex-col justify-between ml-4 mr-8 flex-grow">
                            <span className="text-sm">24 inch "curved Surface all-in-one machine surface intel core i5 Processors home office desktop computer games built in wifi
                                <br />
                                <small className="py-2"><b> Size: </b> i5-430 4G</small>
                                <small className="py-2"><b> Ship From: </b> China</small>
                            </span>
                            <br />
                            <div className="flex items-start h-5 main-cost-price">
                                <div className="flex items-center h-5">
                                    <img className="h-4" src="http://ae01.alicdn.com/kf/H360058adc16e44848f39a15e13126760H.png" alt=""/>
                                    <small className="flex mx-1">RM340.10</small>
                                </div>
                            </div>
                            {/* <span className="text-red-500 text-xs">Apple</span> */}
                            
                        </div>
                        <div>
                            {/* + - */}
                            - +
                        </div>
                    </div>
                    {/* cart button */}
                    <div className="px-4 py-3 text-right sm:px-6">
                        <button type="button" className="text-sm px-14 py-2 font-semibold rounded-md bg-red-600 border-red-600 text-white"> BUY NOW </button>
                    </div>
                </div>
            </div>
            {/*  End product Added */}
            {/* product Added */}
            <div className="flex flex-col m-3 md:w-3/4">
                <div className="border-b pb-2 my-2">
                    <div className="flex justify-between my-2">
                        <div className="flex items-start">
                            <div className="flex items-center h-5">
                                <input id="comments" name="comments" type="checkbox" className="focus:ring-indigo-500 h-4 w-4 text-indigo-600 border-gray-300 rounded" />
                            </div>
                            <div className="ml-3 text-sm">
                                <label for="comments" className="font-medium text-gray-700">Trend man Store</label>
                            </div>
                        </div>
                        {/* <p className="flex items-start text-gray-500">
                        <svg className="w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor"> <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1" d="M3 8l7.89 5.26a2 2 0 002.22 0L21 8M5 19h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z" /> </svg>
                        Contact</p> */}
                        <div>
                        {/* Remove Product */}
                        <svg className="w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor"> <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16" /> </svg>
                        </div>
                    </div>
                    <div className="flex justify-between px-10 py-10 bg-white shadow-sm rounded-lg">
                        
                        <div className="w-20">
                            <img src="https://ae01.alicdn.com/kf/He5d13234b50b476aa972ae3eb8c1e3a1B.jpg" alt="" />
                        </div>
                        <div className="flex flex-col justify-between ml-4 mr-8 flex-grow">
                            <span className="text-sm">24 inch "curved Surface all-in-one machine surface intel core i5 Processors home office desktop computer games built in wifi
                                <br />
                                <small className="py-2"><b> Size: </b> i5-430 4G</small>
                                <small className="py-2"><b> Ship From: </b> China</small>
                            </span>
                            <br />
                            <div className="flex items-start h-5 main-cost-price">
                                <div className="flex items-center h-5">
                                    <img className="h-4" src="http://ae01.alicdn.com/kf/H360058adc16e44848f39a15e13126760H.png" alt=""/>
                                    <small className="flex mx-1">RM340.10</small>
                                </div>
                            </div>
                            {/* <span className="text-red-500 text-xs">Apple</span> */}
                            
                        </div>
                        <div>
                            {/* + - */}
                            - +
                        </div>
                    </div>
                    {/* cart button */}
                    <div className="px-4 py-3 text-right sm:px-6">
                        <button type="button" className="text-sm px-14 py-2 font-semibold rounded-md bg-red-600 border-red-600 text-white"> BUY NOW </button>
                    </div>
                </div>
            </div>
            {/*  End product Added */}
            
            {/* Start Buyer Protection */}
            <div className="flex justify-between m-3 md:w-3/4 px-10 py-10 bg-white shadow-sm rounded-lg divide-x divide-gray-300 border-t-4 border-red-600">
                <div class="payment-cabinet md:w-1/2 ">
                    <h3 className="font-semibold">Payment Methods</h3>
                    <ul className="flex">
                        <li><img src="//ae01.alicdn.com/kf/HTB1fNUEaNrvK1RjSsze761ObFXaX.png" alt="" /> </li>
                        <li><img src="//ae01.alicdn.com/kf/HTB1xDsCaODxK1Rjy1zc761GeXXae.png" alt="" /> </li>
                        <li><img src="//ae01.alicdn.com/kf/HTB1RS7DaOHrK1Rjy0Fl763saFXax.png" alt="" /> </li>
                        <li><img src="//ae01.alicdn.com/kf/HTB17y7yaIvrK1Rjy0Fe763TmVXaS.png" alt="" /></li>
                        <li><img src="//ae01.alicdn.com/kf/HTB19ZUGaJzvK1RkSnfo762MwVXaw.png" alt="" /></li>
                        <li><img src="//ae01.alicdn.com/kf/HTB1OzoFaOYrK1Rjy0Fd763CvVXaQ.png" alt="" /></li>
                    </ul>
                </div>
                <div class="buyer-protection text-center">
                        <h5 className="flex place-content-center text-center font-semibold sm:text-xs"><svg className="w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor"> <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m5.618-4.016A11.955 11.955 0 0112 2.944a11.955 11.955 0 01-8.618 3.04A12.02 12.02 0 003 9c0 5.591 3.824 10.29 9 11.622 5.176-1.332 9-6.03 9-11.622 0-1.042-.133-2.052-.382-3.016z" /> </svg>
                            Buyer Protection
                        </h5>
                    <p className="text-xs">Get full refund if the item is not as described or if is not delivered.</p>
                </div>
            </div>
            {/* End Buyer Protection */}
        </div>
        
        </>
    )
}

export default CartPage
