import React from "react";
import "react-responsive-carousel/lib/styles/carousel.min.css"; // requires a loader
import { Carousel } from "react-responsive-carousel";

import CountCart from "./CountCart";

import Vendor from "./Vendor";
import Navbar from "../../components/navbar/navbar.component";
import Footers from "../../components/footer/Footers";
import ProductSpec from "./ProductSpec";
import ProductRate from "./ProductRate";
import ProductEcoList from "./ProductEcoList";
import { useHistory } from "react-router-dom";

const responsive = {
  superLargeDesktop: {
    // the naming can be any, depends on you.
    breakpoint: { max: 4000, min: 3000 },
    items: 5,
  },
  desktop: {
    breakpoint: { max: 3000, min: 1024 },
    items: 7,
  },
  tablet: {
    breakpoint: { max: 1024, min: 464 },
    items: 4,
  },
  mobile: {
    breakpoint: { max: 464, min: 0 },
    items: 1,
  },
};
function ProductDetails() {
  let history = useHistory();
  function ClickCart() {
    history.push("./Cart");
  }
  return (
    <>
    <Navbar />
    <div className="lg:w-4/5 rounded-2xl relative margin-0-auto lg:top-20" style={{ margin: "7rem auto" }} >
      <div className="w-full relative">
        <div className="flex space-x-2 text-gray-400 text-sm w-full relative">
          <a href="#no" className="hover:underline hover:text-gray-600"> Home </a>
          <span>
            <svg className="h-5 w-5 leading-none text-gray-300" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" > <path stroke-width="2" d="M9 5l7 7-7 7" /> </svg>
          </span>
          <a href="#no" className="hover:underline hover:text-gray-600"> Groceries & Pets </a>
          <span>
            <svg className="h-5 w-5 leading-none text-gray-300" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" > <path stroke-width="2" d="M9 5l7 7-7 7" ></path> </svg>
          </span>
            <span>Fresh & Frozen Food</span>
        </div>
        </div>

      <div className="bg-white shadow-sm rounded-2xl">
        <div className="py-6">
          <div className="w-100 mx-auto px-4 sm:px-6 lg:px-8">
            <div className="flex flex-col md:flex-row -mx-4">
              <div className="md:w-1/3">
                <Carousel responsive={responsive}>
                  <div>
                    <img src="assets/img/colorful-umbrellas-4k.jpg" alt="" />
                    <p className="legend">Legend 1</p>
                  </div>
                  <div>
                    <img src="assets/img/colorful-umbrellas-4k.jpg" alt="" />
                    <p className="legend">Legend 2</p>
                  </div>
                  <div>
                    <img src="assets/img/colorful-umbrellas-4k.jpg" alt="" />
                    <p className="legend">Legend 3</p>
                  </div>
                </Carousel>
              </div>
              <div className="md:flex-1 px-4">
                <h2 className="mb-2 leading-tight tracking-tight font-bold text-gray-800 text-xl md:text-xl">
                  Fresh Chicken Whole (Cut 16) +/-1.5kg/Nos
                </h2>
                  {/* single product rating */}

                  <div className="grid grid-cols-4 divide-x divide-gray-500">
                    <div className="flex items-center">
                      {/* <span className="text-sm">Product Quality</span> */}
                      <div className="flex items-center ml-2">
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z" /></svg>
                        <span className="text-sm text-blue-500">(196)</span>
                      </div>
                    </div>
                    <div className="flex items-center">
                        <span className="text-xs text-gray-800 px-6"> 2.86K Sold</span>
                    </div>
                    <div className="flex items-center">
                        <span className="text-xs text-gray-800 px-6"> Write a Review</span>
                    </div>
                    <div className="flex items-center">
                        <span className="text-xs text-gray-800 px-6"> See 5 Question</span>
                    </div>
                  </div>                  
                  {/* <p className="text-gray-500 text-sm"> By{" "} <a href="#no" className="text-indigo-600 hover:underline"> ABC Company </a> </p> */}

                <div className="flex items-center space-x-4 my-4">
                  <div className="flex-1">
                    <div className="rounded-lg bg-yellow-50 flex py-2 px-3 ">
                      <span className="mr-1 mt-1 line-through">
                        RM 200 - RM 850
                      </span>
                      <span className="font-bold md:text-xl">
                        RM160.00 - RM700.00
                      </span>
                      <div className="flex-1 flex py-1 px-3">
                        <p className="text-white text-xs font-semibold bg-red-500 px-0.5">
                          20% OFF
                        </p>
                      </div>
                    </div>
                  </div>
                </div>

                <div className="flex justify-between w-full py-2">
                  <div className="md:w-1/4">
                    <div className="px-4 py-2 font-semibold">Shipping</div>
                  </div>
                  <div className="flex justify-between">
                    <div className="px-4 py-2">FEDEX: Shipping Fee</div>
                    <div className="px-4 py-2 relative">
                      <select className="cursor-pointer appearance-none rounded-xl border border-gray-200 pl-4 pr-8 flex items-end pb-1">
                        <option>RM15</option>
                        <option>RM16</option>
                        <option>RM17</option>
                        <option>RM18</option>
                        <option>RM19</option>
                      </select>
                      <svg className="w-5 h-5 text-gray-400 absolute right-2 bottom-1 mb-2 mr-2" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" > <path stroke-width="2" d="M8 9l4-4 4 4m0 6l-4 4-4-4" /> </svg>
                    </div>
                  </div>
                </div>
                <div className="flex justify-between w-full py-2">
                  <div className="md:w-1/4">
                    <div className="px-4 py-2 font-semibold">Options</div>
                  </div>
                  <div class="flex justify-between md:space-x-4 items-center">
                    <a href="#no" class="text-red-600 hover:text-red-600 px-6 rounded-md text-sm font-medium border border-red-600 bg-gray-200 focus:outline-none focus:ring-2 focus:ring-red-800 focus:border-transparent" > Thigh </a>
                    <a href="#no" class="text-gray-400 hover:text-red-600 px-6 rounded-md text-sm font-medium bg-gray-200 focus:outline-none focus:ring-2 focus:ring-red-800 focus:border-transparent" > Wings </a>
                    <a href="#no" class="text-gray-400 hover:text-red-600 px-6 rounded-md text-sm font-medium bg-gray-200 focus:outline-none focus:ring-2 focus:ring-red-800 focus:border-transparent" > Whole Chicken </a>
                  </div>
                </div>

                <div className="flex justify-between w-full py-2">
                  <div className="md:w-1/4">
                    <div className="px-4 py-2 font-semibold">Quantity</div>
                  </div>
                  <div className="relative">
                    {/* start quant Count */}
                    <CountCart />
                    {/* <svg className="w-5 h-5 text-gray-400 absolute right-0 bottom-2 mb-2 mr-2" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" > <path stroke-width="2" d="M8 9l4-4 4 4m0 6l-4 4-4-4" /> </svg> */}
                  </div>
                  <div>kilogram(s) | MOQ 1kg</div>
                </div>
                <div className="flex flex-row space-x-4">
                  <button onClick={ClickCart} type="button" className="text-sm px-14 h-14 py-2 font-semibold rounded-md border bg-red-100 border-red-600 text-red-600" > Add To Cart </button>
                  <button type="button" className="text-sm px-14 h-14 py-2 font-semibold rounded-md bg-red-600 border-red-600 text-white" > BUY NOW </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      </div>
      <Vendor />
      <ProductSpec />
      <ProductRate />
      <ProductEcoList />
    <Footers />
    </>
  );
}

export default ProductDetails;
