
import React from "react";
import { useHistory } from "react-router-dom";
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";
const responsive = {
  superLargeDesktop: {
    // the naming can be any, depends on you.
    breakpoint: { max: 4000, min: 3000 },
    items: 6,
  },
  desktop: {
    breakpoint: { max: 3000, min: 1024 },
    items: 6,
  },
  tablet: {
    breakpoint: { max: 1024, min: 464 },
    items: 4,
  },
  mobile: {
    breakpoint: { max: 464, min: 0 },
    items: 1,
  },
};
function ProductEcoList() {
  let history = useHistory();
  function singleProduct() {
    history.push("./ProductDetails");
  }
  return (
    <>
    <div className="relative margin-0-auto w-4/5 rounded-lg">
      <div className="flex p-4">
        <h5 className="text-2xl text-left pt-7 font-semibold"> FROM THE SAME SHOP </h5>
      </div>
      <Carousel responsive={responsive} className="mb-8">
        <div className="product1 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item1" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product2 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item2" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product3 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item3" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product4 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
        <div className="product5 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
        <div className="product6 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product7 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
      </Carousel>
    </div>
    <div className="relative margin-0-auto w-4/5 rounded-lg">
      <div className="flex p-4">
        <h5 className="text-2xl text-left pt-7 font-semibold"> SIMILIAR PRODUCTS </h5>
      </div>
      <Carousel responsive={responsive} className="mb-8">
        <div className="product1 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item1" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product2 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item2" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product3 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item3" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product4 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
        <div className="product5 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
        <div className="product6 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product7 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
      </Carousel>
    </div>
    <div className="relative margin-0-auto w-4/5 rounded-lg">
      <div className="flex p-4">
        <h5 className="text-2xl text-left pt-7 font-semibold"> YOU MAY ALSO LIKE </h5>
      </div>
      <Carousel responsive={responsive} className="mb-8">
        <div className="product1 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item1" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product2 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item2" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product3 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item3" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">RM16.99</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product4 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
        <div className="product5 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
        <div className="product6 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
        <div className="product7 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="w-full object-cover" src="https://cf.shopee.com.my/file/3095f79059e8f1c1646ffebd38501cbf" alt="Item4" />
            <div className="px-4 py-1">
              <h5 className="text-gray-900 text-xs">FRESH WHOLE CHICKEN 2KG+</h5>
              <p className="text-xs w-20 text-red-700 border border-red-700 p-1">Local Seller</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 text-xs text-gray-900 font-semibold rounded">
                89 Sold
              </button>
            </div>
          </div>
        </div>
      </Carousel>
    </div>
    </>
  );
}

export default ProductEcoList;
