
import React, { useContext, useState } from "react";
// redux product data
// Redux
import { connect } from "react-redux";
import {
  loadCurrentItem,
  addToCart,
} from "../../data/reducers/Shopping/shopping-actions";

import { useHistory } from "react-router-dom";
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";
const responsive = {
  superLargeDesktop: {
    // the naming can be any, depends on you.
    breakpoint: { max: 4000, min: 3000 },
    items: 5,
  },
  desktop: {
    breakpoint: { max: 3000, min: 1024 },
    items: 5,
  },
  tablet: {
    breakpoint: { max: 1024, min: 464 },
    items: 4,
  },
  mobile: {
    breakpoint: { max: 464, min: 0 },
    items: 1,
  },
};

// import {
//   loadCurrentItem,
//   addToCart,
// } from "../../data/reducers/Shopping/shopping-actions";
function ProductEcoSystem({ product, addToCart, loadCurrentItem }) {
  let history = useHistory();
  function singleProduct() {
    history.push("./ProductDetails");
  }
  return (
    <div className="relative margin-0-auto w-4/5 rounded-lg bg-white">
      <div className="flex px-2">
        <h5 className="text-xl text-left pt-3 font-semibold"> Recently added to Ecosystem: </h5>
      </div>
      <Carousel responsive={responsive} className="mb-8">
        <div className="product1 m-2" onClick={singleProduct}>
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item1" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">10kg (MOQ)</h1>
              <button className="px-3 py-1 bg-gray-200 text-sm text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div>
          </div>
        </div>
      </Carousel>
    </div>
  );
}



export default ProductEcoSystem;
// export default connect(mapStateToProps)(ProductEcoSystem);
