import React from "react";
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";
import Promolabel from "../../components/label/Promolabel";
import Sold from "../../components/label/Sold";
import PromoTime from "./PromoTime";
const responsive = {
  superLargeDesktop: {
    // the naming can be any, depends on you.
    breakpoint: { max: 4000, min: 3000 },
    items: 5,
  },
  desktop: {
    breakpoint: { max: 3000, min: 1024 },
    items: 5,
  },
  tablet: {
    breakpoint: { max: 1024, min: 464 },
    items: 4,
  },
  mobile: {
    breakpoint: { max: 464, min: 0 },
    items: 1,
  },
};
function ProductPromo() {
  return (
    <div className="margin-0-auto margin-0-auto w-4/5 rounded-lg bg-yellow-400 mb-8">
      <div className="flex flex-col top-4 p-4 relative">
        {/* <h5 className="text-2xl  font-semibold"> Big Sales </h5> */}
        <PromoTime/>
      </div>
      <Carousel responsive={responsive} className="mb-8">
        <div className="product1 m-2">
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            {/* label components : Promolabel */}
            <Promolabel />
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item1" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            
            {/* <div className="flex items-center justify-between px-4 py-2">
              <h1 className="text-xs">$129</h1>
              <button className="px-3 py-1 bg-gray-200 text-sm text-gray-900 font-semibold rounded"> 89 Sold </button>
            </div> */}
            {/* label components: Sold */}
            <Sold />
          </div>
        </div>
        <div className="product2 m-2">
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            {/* label components : Promolabel */}
            <Promolabel />
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item2" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            {/* label components: Sold */}
            <Sold />
          </div>
        </div>
        <div className="product3 m-2">
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            {/* label components : Promolabel */}
            <Promolabel />
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item3" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            {/* label components: Sold */}
            <Sold />
          </div>
        </div>
        <div className="product4 m-2">
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            {/* label components : Promolabel */}
            <Promolabel />
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item4" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            {/* label components: Sold */}
            <Sold />
          </div>
        </div>
        <div className="product5 m-2">
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            {/* label components : Promolabel */}
            <Promolabel />
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item4" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            {/* label components: Sold */}
            <Sold />
          </div>
        </div>
        <div className="product6 m-2">
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            {/* label components : Promolabel */}
            <Promolabel />
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item4" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            {/* label components: Sold */}
            <Sold />
          </div>
        </div>
        <div className="product7 m-2">
          <div className="bg-white shadow-lg rounded-lg overflow-hidden my-10 w-full">
            {/* label components : Promolabel */}
            <Promolabel />
            <img className="h-56 w-full object-cover mt-2" src="https://www.itstossd.com/wp-content/uploads/2019/08/crushed-peabuts.png" alt="Item4" />
            <div className="px-4 py-2">
              <h5 className="text-gray-900 text-xs">Roasted peanud chopped</h5>
              <p className="text-sm mt-1 text-red-700">RM60.00 - RM80.00</p>
            </div>
            {/* label components: Sold */}
            <Sold />
          </div>
        </div>
      </Carousel>
    </div>
  );
}

export default ProductPromo;
