import React from 'react'

function ProductRate() {
    return (
        <div className="md:w-4/5 margin-0-auto max-w-full rounded-lg bg-white mb-8">
            <div className="p-3">
                <h5 className="p-2 text-2xl text-left pt-2 font-semibold"> Product Ratings </h5>
            </div>

            {/* Start Rate Tab */}
            <div className="md:m-5 mx-2 bg-red-100 border rounded-sm border-red-200 shadow-sm hover:shadow-lg duration-500 px-2 sm:px-6 md:px-6 py-6 my-2">
                <div className="grid grid-cols-12 gap-3">
                    {/* Meta Column */}
                    <div className="col-span-0 sm:col-span-2 text-center hidden sm:block justify-self-center">
                        {/* Vote Counts */}
                        <div className="">
                            <div className="inline-block font-medium text-2xl text-red-600">
                                4.8 <small>out of 5</small>
                                <div className="flex items-center">
                                    {/* <span className="text-sm">Product Quality</span> */}
                                    <div className="flex items-center ml-2">
                                        <svg className="w-3 h-3 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                                        <svg className="w-3 h-3 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                                        <svg className="w-3 h-3 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                                        <svg className="w-3 h-3 fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                                        <svg className="w-3 h-3 fill-current text-red-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z" /></svg>
                                        <span className="text-sm text-blue-500">(196)</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        {/* Rate Counts */}
                        {/* <a href="#" className="grid grid-rows-2 mx-auto mb-3 py-1 w-4/5 2lg:w-3/5 rounded-md bg-green-400">
                            <div className="inline-block font-medium text-2xl text-white">
                                12
                            </div>

                            <div className="inline-block font-medium text-white mx-1 text-sm lg:text-md">
                                Answers
                            </div>
                        </a> */}

                        {/* View Counts */}
                        {/* <div className="grid my-3">
                            <span className="inline-block font-bold text-xs">
                                1213 Vews
                            </span>
                        </div> */}
                    </div>

                    {/* Summary Column */}
                    <div className="col-span-12 sm:col-start-3 sm:col-end-13 px-3 sm:px-0">
                        <div className="grid block sm:hidden">
                            <div className="flex flex-wrap">
                                <div className="mr-2">
                                    <div className="inline-block font-light capitalize">
                                        <i className="uil uil-arrow-circle-up mr-1"></i>
                                        <span className="text-sm">
                                            21 Votes
                                        </span>
                                    </div>
                                </div>
                                <div className="mr-2">
                                    <div className="inline-block font-light capitalize">
                                        <i className="uil uil-check-circle mr-1"></i>
                                        <span className="text-sm">
                                            21 Answers
                                        </span>
                                    </div>
                                </div>
                                <div className="mr-2">
                                    <div className="inline-block">
                                        <i className="uil uil-eye mr-1"></i>
                                        <span className="text-sm capitalize font-light">
                                            21 Views
                                        </span>
                                    </div>
                                </div>

                                <div className="mr-2">
                                    <div className="inline-block">
                                        <i className="uil uil-clock mr-1"></i>
                                        <span className="text-sm font-light">
                                            a few mins ago ago
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        {/* <div className="flex justify-between items-center hidden sm:block">
                            <span className="font-light text-gray-600">
                                a few min ago
                            </span>
                        </div>

                        <div className="mt-2">
                            <a href="#" className="sm:text-sm md:text-md lg:text-lg text-gray-700 font-bold hover:underline">
                                Praesent at arcu augue. Etiam lectus massa, consequat
                            </a>

                            <p className="mt-2 text-gray-600 text-sm md:text-md">
                                Lorem ipsum dolor sit, amet consectetur adipisicing elit.
                                Tempora expedita dicta totam totam gul koparam doloremque. Excepturi iste iusto eos enim
                                reprehenderit nisi, accusamus...
                            </p>
                        </div> */}

                        {/* Question Labels */}
                        <div className="grid grid-cols-2 mt-4 my-auto">
                            {/* Categories  */}
                            <div className="col-span-12 lg:col-span-8">
                                <a href="#" className="inline-block text-black border rounded-sm border-red-400 duration-300 text-xs font-bold mr-1 md:mr-2 mb-2 px-2 md:px-4 py-1 opacity-90 hover:opacity-100">
                                    All
                                </a>
                                <a href="#" className="inline-block text-black border rounded-sm border-red-400 duration-300 text-xs font-bold mr-1 md:mr-2 mb-2 px-2 md:px-4 py-1 opacity-90 hover:opacity-100">
                                    5 Star (20)
                                </a>
                                <a href="#" className="inline-block text-black border rounded-sm border-red-400 duration-300 text-xs font-bold mr-1 md:mr-2 mb-2 px-2 md:px-4 py-1 opacity-90 hover:opacity-100">
                                    4 Star (0)
                                </a>
                                <a href="#" className="inline-block text-black border rounded-sm border-red-400 duration-300 text-xs font-bold mr-1 md:mr-2 mb-2 px-2 md:px-4 py-1 opacity-90 hover:opacity-100">
                                    3 Star (1)
                                </a>
                                <a href="#" className="inline-block text-black border rounded-sm border-red-400 duration-300 text-xs font-bold mr-1 md:mr-2 mb-2 px-2 md:px-4 py-1 opacity-90 hover:opacity-100">
                                    2 Star (0)
                                </a>
                                <a href="#" className="inline-block text-black border rounded-sm border-red-400 duration-300 text-xs font-bold mr-1 md:mr-2 mb-2 px-2 md:px-4 py-1 opacity-90 hover:opacity-100">
                                    With Comments (2)
                                </a>
                                <a href="#" className="inline-block text-black border rounded-sm border-red-400 duration-300 text-xs font-bold mr-1 md:mr-2 mb-2 px-2 md:px-4 py-1 opacity-90 hover:opacity-100">
                                    With Media (1)
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div> 
            {/* End Rate Tab */}
            {/* review&Comments */}
            <div className="flex items-start py-10 px-10">
                <div className="flex-shrink-0">
                    <div className="inline-block relative">
                    <div className="relative w-16 h-16 rounded-full overflow-hidden">
                        <img className="absolute top-0 left-0 w-full h-full bg-cover object-fit object-cover" src="https://picsum.photos/id/646/200/200" alt="Profile picture" />
                        <div className="absolute top-0 left-0 w-full h-full rounded-full shadow-inner"></div>
                    </div>
                    <svg className="fill-current text-white bg-green-600 rounded-full p-1 absolute bottom-0 right-0 w-6 h-6 -mx-1 -my-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                        <path d="M19 11a7.5 7.5 0 0 1-3.5 5.94L10 20l-5.5-3.06A7.5 7.5 0 0 1 1 11V3c3.38 0 6.5-1.12 9-3 2.5 1.89 5.62 3 9 3v8zm-9 1.08l2.92 2.04-1.03-3.41 2.84-2.15-3.56-.08L10 5.12 8.83 8.48l-3.56.08L8.1 10.7l-1.03 3.4L10 12.09z"/>
                    </svg>
                    </div>
                </div>
                <div className="ml-6">
                    <p className="flex items-baseline">
                    <span className="text-gray-600 font-bold">Mary T.</span>
                    <span className="ml-2 text-green-600 text-xs">Verified Buyer</span>
                    </p>
                    <div className="flex items-center mt-1">
                    <svg className="w-4 h-4 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                    <svg className="w-4 h-4 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                    <svg className="w-4 h-4 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                    <svg className="w-4 h-4 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                    <svg className="w-4 h-4 fill-current text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                    </div>
                    <div className="flex items-center mt-4 text-gray-600">
                    <div className="flex items-center">
                        <span className="text-sm">Product Quality</span>
                        <div className="flex items-center ml-2">
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        </div>
                    </div>
                    <div className="flex items-center ml-4">
                        <span className="text-sm">Purchasing Experience</span>
                        <div className="flex items-center ml-2">
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-yellow-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        <svg className="w-3 h-3 fill-current text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 15l-5.878 3.09 1.123-6.545L.489 6.91l6.572-.955L10 0l2.939 5.955 6.572.955-4.756 4.635 1.123 6.545z"/></svg>
                        </div>
                    </div>
                    </div>
                    <div className="mt-3">
                    <span className="font-bold">Sapien consequat eleifend!</span>
                    <p className="mt-1">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                    </div>
                    <div className="flex items-center justify-between mt-4 text-sm text-gray-600 fill-current">
                    {/* <button className="flex items-center">
                        <svg className="w-3 h-3" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M5.08 12.16A2.99 2.99 0 0 1 0 10a3 3 0 0 1 5.08-2.16l8.94-4.47a3 3 0 1 1 .9 1.79L5.98 9.63a3.03 3.03 0 0 1 0 .74l8.94 4.47A2.99 2.99 0 0 1 20 17a3 3 0 1 1-5.98-.37l-8.94-4.47z"/></svg>
                        <span className="ml-2">Share</span>
                    </button> */}
                    <div className="flex items-center">
                        <span>Was this review helplful?</span>
                        <button className="flex items-center ml-6">
                        <svg className="w-3 h-3" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M11 0h1v3l3 7v8a2 2 0 0 1-2 2H5c-1.1 0-2.31-.84-2.7-1.88L0 12v-2a2 2 0 0 1 2-2h7V2a2 2 0 0 1 2-2zm6 10h3v10h-3V10z"/></svg>
                        <span className="ml-2">56</span>
                        </button>
                        <button className="flex items-center ml-4">
                        <svg className="w-3 h-3" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M11 20a2 2 0 0 1-2-2v-6H2a2 2 0 0 1-2-2V8l2.3-6.12A3.11 3.11 0 0 1 5 0h8a2 2 0 0 1 2 2v8l-3 7v3h-1zm6-10V0h3v10h-3z"/></svg>
                        <span className="ml-2">10</span>
                        </button>
                    </div>
                    </div>
                </div>
            </div>
            {/* review&Comments */}
            {/* Start Pagination */}
            <div className="flex flex-col items-center m-5 py-10 px-10">
                <div className="flex text-gray-700">
                    <div className="h-8 w-8 mr-1 flex justify-center items-center rounded-full bg-gray-200 cursor-pointer">
                        <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" className="feather feather-chevron-left w-4 h-4">
                            <polyline points="15 18 9 12 15 6"></polyline>
                        </svg>
                    </div>
                    <div className="flex h-8 font-medium rounded-full bg-gray-200">
                        <div className="w-8 md:flex justify-center items-center hidden  cursor-pointer leading-5 transition duration-150 ease-in  rounded-full  ">1</div>
                        <div className="w-8 md:flex justify-center items-center hidden  cursor-pointer leading-5 transition duration-150 ease-in  rounded-full  ">...</div>
                        <div className="w-8 md:flex justify-center items-center hidden  cursor-pointer leading-5 transition duration-150 ease-in  rounded-full  ">3</div>
                        <div className="w-8 md:flex justify-center items-center hidden  cursor-pointer leading-5 transition duration-150 ease-in  rounded-full bg-red-600 text-white ">4</div>
                        <div className="w-8 md:flex justify-center items-center hidden  cursor-pointer leading-5 transition duration-150 ease-in  rounded-full  ">5</div>
                        <div className="w-8 md:flex justify-center items-center hidden  cursor-pointer leading-5 transition duration-150 ease-in  rounded-full  ">...</div>
                        <div className="w-8 md:flex justify-center items-center hidden  cursor-pointer leading-5 transition duration-150 ease-in  rounded-full  ">15</div>
                        <div className="w-8 h-8 md:hidden flex justify-center items-center cursor-pointer leading-5 transition duration-150 ease-in rounded-full bg-pink-600 text-white">4</div>
                    </div>
                    <div className="h-8 w-8 ml-1 flex justify-center items-center rounded-full bg-gray-200 cursor-pointer">
                        <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" className="feather feather-chevron-right w-4 h-4">
                            <polyline points="9 18 15 12 9 6"></polyline>
                        </svg>
                    </div>
                </div>
            </div>
            {/* End Pagination */}

        </div>
    )
}

export default ProductRate
