import React from 'react'

function ProductSpec() {
    return (
        <div className="md:w-4/5 margin-0-auto max-w-full rounded-lg bg-white mb-8">
            <div className="p-8">
                <h5 className="bg-gray-50 p-2 text-2xl text-left pt-2 font-semibold"> Product Specifications </h5>
            </div>
            {/* Start Product Spec */}
            <div className="text-gray-700">
                <div className="p-9 py-2 grid-cols-2">
                    <div className="w-full grid grid-cols-5 text-sm">
                        <div className="col-span-1 px-4 py-2 font-semibold">Category</div>
                        <div className="col-span-3 px-4 py-2">
                            <div className="flex space-x-2 text-sm w-full relative">
                                <a href="#" className="hover:underline hover:text-gray-600"> Home </a>
                                <span>
                                    <svg className="h-5 w-5 leading-none text-gray-300" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" > <path stroke-width="2" d="M9 5l7 7-7 7" /> </svg>
                                </span>
                                <a href="#" className="hover:underline hover:text-gray-600"> Groceries & Pets </a>
                                <span>
                                    <svg className="h-5 w-5 leading-none text-gray-300" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" > <path stroke-width="2" d="M9 5l7 7-7 7" ></path> </svg>
                                </span>
                                <span>Fresh & Frozen Food</span>
                            </div>
                        </div>
                    </div>
                    <div className="w-full grid grid-cols-5 text-sm">
                        <div className="col-span-1 px-4 py-2 font-semibold">Brands</div>
                        <div className="col-span-3 px-4 py-2">
                            <span>No Brands</span>
                        </div>
                    </div>
                    <div className="w-full grid grid-cols-5 text-sm">
                        <div className="col-span-1 px-4 py-2 font-semibold">Expiry Date</div>
                        <div className="col-span-3 px-4 py-2">
                            <span>Between 2 weeks to 1 month</span>
                        </div>
                    </div>
                    <div className="w-full grid grid-cols-5 text-sm">
                        <div className="col-span-1 px-4 py-2 font-semibold">Ships From</div>
                        <div className="col-span-3 px-4 py-2">
                            <span>Kuala Selangor, 45600 Selangor </span>
                        </div>
                    </div>
                    
                </div>
            </div>
            {/* Start Product Description */}
            <div className="p-8">
                <h5 className="bg-gray-50 p-2 text-2xl text-left pt-2 font-semibold"> Product Description </h5>
                <div className="">
                    <span>
                    <p className="p-2">✅ Siap cuci, bersih dan di pack.<br />
                    ✅ Berat berkurang ±20% selepas siap disiang. <br />
                    ✅ Segar dari pasar borong <br />
                    ✅ Di jamin Halal 100% <b />
                    </p>
                    

                    <p className="p-2">🏍️ Penghantaran ke seluruh Klang Valley Menggunakan Mr Speedy</p>

                    <p className="p-2">🏡 Kawasan anda tiada dalam senarai ? tetapi rumah anda berada dalam Klang valley.Chat atau whatsApp kami dahulu untuk bertanya sebelum anda membuat tempahan.</p>

                    <p className="p-2">⭐Waktu PKP , kami hanya terima 5 order sahaja &amp; order yang ke 6 kami akan hantar ke esokkan harinya.<br /> 
                    ⭐Minima Order Rm100 &amp; Delivery Rm10 . Jika order kurang dari Rm100 boleh buat pembelian semula. </p>

                    <p className="p-2">💰 Kami akan refund order anda.Jika kawasan anda luar dari Klang valley.<br />
                    💰 Barang basah terhad di pasar &amp; mungkin order anda tidak lengkap. Kami akan refund barang yang tiada.</p>

                    <p className="p-2">💻 kami akan Chat atau WhatsApp anda dalam tempoh 24 jam (kecuali ahad &amp; cuti umum) selepas tempahan anda berjaya dilakukan.</p>
                    </span>
                </div>
            </div>
            <div className="p-9">
                
            </div>

        </div>
    )
}

export default ProductSpec
