import React from 'react';
// import Carousel from 'react-multi-carousel';
import 'react-multi-carousel/lib/styles.css';
import { useHistory } from 'react-router-dom';
const responsive = {
	superLargeDesktop : {
		// the naming can be any, depends on you.
		breakpoint : { max: 4000, min: 3000 },
		items      : 5
	},
	desktop           : {
		breakpoint : { max: 3000, min: 1024 },
		items      : 6
	},
	tablet            : {
		breakpoint : { max: 1024, min: 464 },
		items      : 4
	},
	mobile            : {
		breakpoint : { max: 464, min: 0 },
		items      : 1
	}
};
function Vendor() {
	let history = useHistory();
	function Mall() {
		history.push('./Mall');
	}

	return (
		<div className="md:w-4/5 max-w-full rounded-xl bg-white flex justify-between" style={{ margin: '3rem auto' }}>
			<div className="flex justify-between md:w-1/2 py-2 md:border-r">
				<div className="flex-shrink-0 flex items-center margin-0-auto">
					<img className="hidden lg:block h-8 w-auto" src="assets/img/logo192.png" alt="Workflow" />
				</div>
				<div className="flex justify-between">
					<div className="px-4 py-2 font-bold">
						Clfreshmart <br />
						<small className="font-thin">
							Active 17 Minute Ago
						</small>
						<div className="flex justify-between md:w-3/5 space-x-4">
							<button type="button" className="text-xs h-10 px-4 py-2 font-semibold rounded-md bg-red-100 border border-red-600 text-red-600 whitespace-nowrap flex items-center">
								<svg className="w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor"> <path d="M2 5a2 2 0 012-2h7a2 2 0 012 2v4a2 2 0 01-2 2H9l-3 3v-3H4a2 2 0 01-2-2V5z" />{' '} <path d="M15 7v2a4 4 0 01-4 4H9.828l-1.766 1.767c.28.149.599.233.938.233h2l3 3v-3h2a2 2 0 002-2V9a2 2 0 00-2-2h-1z" />{' '} </svg>
								Chat Now
							</button>
							<button onClick={Mall} type="button" className="text-xs h-10 px-4 py-2 font-semibold rounded-md border border-gray-900 text-gray-900 whitespace-nowrap flex items-center">
								<svg className="w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor"> <path d="M4 3a2 2 0 100 4h12a2 2 0 100-4H4z" /> <path fill-rule="evenodd" d="M3 8h14v7a2 2 0 01-2 2H5a2 2 0 01-2-2V8zm5 3a1 1 0 011-1h2a1 1 0 110 2H9a1 1 0 01-1-1z" clip-rule="evenodd" /> </svg>
								View Shop
							</button>
						</div>
					</div>
				</div>
			</div>

			<div className="lg:grid lg:justify-items-center lg:w-4/5 hidden sm:hidden lg:inline flex items-center py-2">
				<div className="w-full p-3 py-2">
					<div className="flex justify-between ">
						<div class="flex justify-between md:w-36">
							<div>Rating</div>
							<small className="text-red-600">2.3k</small>
						</div>
						<div class="flex justify-between md:w-60">
							<div>Response Rate</div>
							<small className="text-red-600">99%</small>
						</div>
						<div class="flex justify-between md:w-36">
							<div>Joined</div>
							<small className="text-red-600">17 Month ago</small>
						</div>
					</div>
				</div>
				<div className="w-full p-3 py-2">
					<div className="flex justify-between ">
						<div class="flex justify-between md:w-36">
							<div>Products</div>
							<small className="text-red-600">152</small>
						</div>
						<div class="flex justify-between md:w-60">
							<div>Response Time</div>
							<small className="text-red-600 text-right">
								within minutes
							</small>
						</div>
						<div class="flex justify-between md:w-36">
							<div>Follower</div>
							<small className="text-red-600">1.9k</small>
						</div>
					</div>
				</div>
			</div>
		</div>
	);
}

export default Vendor;
