import React, { useEffect, useState } from 'react';
import { toast, ToastContainer } from 'react-toastify';
import { connect, useDispatch, useSelector } from 'react-redux';
// import { Redirect, useHistory } from 'react-router-dom';
import Button from '../../components/buttons/button.component';
// import Container from '../../components/container/container.component';
import FormInput from '../../components/inputs/form.input.component';
import { register, clearError } from '../../data/reducers/auth';
import '../loading.css';
import Navbarlogin from '../../components/navbarlogin/Navbarlogin';
import Footers from '../../components/footer/Footers';

const Register = ({ register, isAuth, isLoading, user }) => {
  const error = useSelector(state => state.auth.reason)
  const dispatch = useDispatch()
  useEffect(() => {
    if (error) {
        console.log(toast.error(error));
        dispatch(clearError())
      }
      // return () => {
      //      dispatch(clearError())
      // }
  }, [error])

  const [data, setData] = useState({
    username: '',
    name: '',
    mobile: '',
    email: '',
    password: '',
    // confirmPasswrod: '',
  });
  
  const { username, name, mobile, email, password, } = data;

  const handleChange = (name) => (event) => {
    setData({ ...data, [name]: event.target.value });
  };
  const onSubmit = async (e) => {
    e.preventDefault();
    // if (error) {
    //   dispatch(clearError())
    // }else {
      // register({ username, name, mobile, email, password });
    // }
    if (error) {
      toast.error('Please Fill all fields')
    } else if (!username || !name || !email || !mobile || !password) {
      toast.error('Please Fill all fields')
    } else {
      register({ username, name, mobile, email, password });
      console.log('ok')
    }
  };

  // if (isAuth && user) {
	// 	const { username } = user;
  //   toast.success(`welcome ${username}`);
	// 	if (username) history.push('/');
	// }
  
  return (
    <><ToastContainer />
      <div style={{ backgroundImage: `url("https://wallpapercave.com/wp/wp3252152.jpg")` }}>
        <Navbarlogin />
        <form onSubmit={onSubmit}>
          <div className="max-w-md mx-auto bg-white shadow-xl rounded-xl m-12 relative zindex-5 bgimg">
            <div className="flex justify-between p-4 pt-4 m-2">
              <h className="text-3xl font-semibold">REGISTER</h>
              <div className="text-right">
                <small>Already Payungg ?</small><br />
                <a href='#/login' className="font-bold text-blue-700" alt="" >LOGIN</a>
              </div>
            </div>
            <div className="bg-gray-200 pt-8 pb-16">
              <div className="text-center text-gray-600 mb-6">Or sign in with Email & Password</div>
              <div className="w-4/5 mx-auto">
                <div className="flex items-center bg-white rounded shadow-md mb-4">
                  <span className="px-3">
                    <svg xmlns="http://www.w3.org/2000/svg" className="fill-current text-gray-500 w-4 h-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                      <path strokeLinecap="round" strokeLinejoin="round" strokeWidth={2} d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z" />
                    </svg>
                  </span>
                  <FormInput placeholder='Username' value={username} handleChange={handleChange('username')} type='text' />
                </div>
                <div className="flex items-center bg-white rounded shadow-md mb-4">
                  <span className="px-3">
                    <svg xmlns="http://www.w3.org/2000/svg" className="fill-current text-gray-500 w-4 h-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                      <path strokeLinecap="round" strokeLinejoin="round" strokeWidth={2} d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z" />
                    </svg>
                  </span>
                  <FormInput placeholder='Full Name' value={name} handleChange={handleChange('name')} type='text' />
                </div>
                <div className="flex items-center bg-white rounded shadow-md mb-4">
                  <span className="px-3">
                    <svg xmlns="http://www.w3.org/2000/svg" className="fill-current text-gray-500 w-4 h-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                      <path strokeLinecap="round" strokeLinejoin="round" strokeWidth={2} d="M3 5a2 2 0 012-2h3.28a1 1 0 01.948.684l1.498 4.493a1 1 0 01-.502 1.21l-2.257 1.13a11.042 11.042 0 005.516 5.516l1.13-2.257a1 1 0 011.21-.502l4.493 1.498a1 1 0 01.684.949V19a2 2 0 01-2 2h-1C9.716 21 3 14.284 3 6V5z" />
                    </svg>
                  </span>
                  <FormInput placeholder='Phone No' value={mobile} handleChange={handleChange('mobile')} type='text' />
                </div>
                <div className="flex items-center bg-white rounded shadow-md mb-4">
                  <span className="px-3">
                    <svg className="fill-current text-gray-500 w-4 h-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M18 2a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V4c0-1.1.9-2 2-2h16zm-4.37 9.1L20 16v-2l-5.12-3.9L20 6V4l-10 8L0 4v2l5.12 4.1L0 14v2l6.37-4.9L10 14l3.63-2.9z"/></svg>
                  </span>
                  
                  <FormInput placeholder='Your Email' value={email} handleChange={handleChange('email')} type='email' />
                </div>
                <div className="flex items-center bg-white rounded shadow-md mb-4">
                  <span className="px-3">
                    <svg className="fill-current text-gray-500 w-4 h-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M4 8V6a6 6 0 1 1 12 0h-3v2h4a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-8c0-1.1.9-2 2-2h1zm5 6.73V17h2v-2.27a2 2 0 1 0-2 0zM7 6v2h6V6a3 3 0 0 0-6 0z"/></svg>
                  </span>
                  <FormInput className="w-full focus:outline-none m-0" placeholder='******' value={password} handleChange={handleChange('password')} type='password' />
                </div>
                
                <Button moreStyle="bg-blue-600 block sm:mx-auto md:w-3/4 text-white text-sm uppercase rounded-full shadow-md px-6 py-2" type='submit' title="Sign Up" />
                <div className="w-full text-center">
                  <p><small className="">By creating an account, you agree to the payng.com Free Membership Agreement and Privacy Policy</small></p>
                </div>
                
              </div>
            </div>
            {/* <div className="text-center text-gray-600 py-4">Sign in with</div>
            <div className="flex justify-center mb-10 py-4">
              <button className="flex items-center bg-gray-100 shadow-md border border-gray-200 rounded px-4 py-2 mr-2">
                <svg className="fill-current text-gray-600 w-4 h-4 mr-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 20a10 10 0 1 1 0-20 10 10 0 0 1 0 20zM7 6v2a3 3 0 1 0 6 0V6a3 3 0 1 0-6 0zm-3.65 8.44a8 8 0 0 0 13.3 0 15.94 15.94 0 0 0-13.3 0z"/></svg>
                <div className="text-indigo-700">Facebook</div>
              </button>
              <button className="flex items-center bg-gray-100 shadow-md border border-gray-200 rounded px-4 py-2 mr-2">
                <svg className="fill-current text-gray-600 w-4 h-4 mr-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10 20a10 10 0 1 1 0-20 10 10 0 0 1 0 20zM7 6v2a3 3 0 1 0 6 0V6a3 3 0 1 0-6 0zm-3.65 8.44a8 8 0 0 0 13.3 0 15.94 15.94 0 0 0-13.3 0z"/></svg>
                <div className="text-indigo-700">Gmail</div>
              </button>
            </div> */}
          </div>
        </form>   
      <Footers />
      </div>
    </>
  );
};


export default connect(null, { register })(Register);
